Subject: getting the application instance
From: [email-masked] (Peter Ham)

22 Jun 1997 00:00:19 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; U)
Original-To: [email-masked]
Original-Sender: [email-masked]

I want to get access to the HANDLE hInstance normally passed
as the first parameter to WinMain(), but I don't want to have
a WinMain() function. How does the gnuwin library get access
to this, I notice that the value seems to be 0x40000 (or something
with more or less zeros's). Does it change? Can I call
an api function to get the same value, I just want to pass it to
create window?
Since gnuwin calls WinMain() on startup, it must somehow have this
information. I don't have immediate access to the source to 
investigate this myself.

Peter Ham

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".